# Bewerbung zuweisen

`POST https://{tenant}.stamp.eu/rest/shift_applications/{shiftApplication}/assign`

Manager assigns an application: entry gets the employee, all other
applications are rejected and the applicants notified

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `shiftApplication` | string | ja | The shift application ID |

## Antworten

### 200: `ShiftApplicationResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.id` | string | ja |
| `data.roster_entry_id` | string | ja |
| `data.employee_id` | string | ja |
| `data.employee_name` | string \| null | nein |
| `data.status` | string | ja |
| `data.note` | string | ja |
| `data.created_at` | string | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |
